privacyidea/privacyidea 软件分析报告

基础信息

项目名称:privacyidea/privacyidea

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1745496159192674304/1762649501764120576

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
Pallets Werkzeug 缓冲区错误漏洞 越界写入 MPS-17rl-c20o CVE-2023-46136 高危
angular ReDoS MPS-2022-12542 CVE-2022-25844 中危
Angular 存在XSS漏洞 XSS MPS-2022-5154 CVE-2022-25869 中危
Pallets Werkzeug 安全漏洞 MPS-2023-2197 CVE-2023-23934 低危
Pallets Werkzeug 安全漏洞 不加限制或调节的资源分配 MPS-2023-4282 CVE-2023-25577 高危
configobj ReDoS MPS-2023-5106 CVE-2023-26112 低危
angular 安全漏洞 ReDoS MPS-2023-5110 CVE-2023-26117 中危
Angular 安全漏洞 ReDoS MPS-2023-5111 CVE-2023-26116 中危
Angular 安全漏洞 ReDoS MPS-2023-5112 CVE-2023-26118 中危
Jinja 跨站脚本漏洞 XSS MPS-6p1s-f3oy CVE-2024-22195 中危
OpenSSL 拒绝服务漏洞 对因果或异常条件的不恰当检查 MPS-7ch0-so2p CVE-2023-5678 中危
angular 安全漏洞 ReDoS MPS-9c5j-rpwf CVE-2024-21490 高危
Flask 安全漏洞 通过持久性Cookie导致的信息暴露 MPS-y7qk-6aom CVE-2023-30861 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
angular 1.8.3 间接依赖 建议修复
werkzeug 1.0.1 3.0.1 间接依赖 建议修复
flask 1.1.4 2.3.2 间接依赖 建议修复
flask 1.1.4 2.3.2 间接依赖 建议修复
configobj 5.0.8 间接依赖 可选修复
cryptography 42.0.4 间接依赖 可选修复
jinja2 2.11.3 3.1.3 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
BSD-3-Clause 9
BSD-2-Clause 10
MIT 25
LGPL-2.1-or-later 1
自定义许可证 13
ISC 1
MPL-2.0 1
LGPL-3.0 1
Apache-2.0 4
MIT License 3
GPL-2.0-only 1
Apache License 2.0 1
Apache-2.0 OR BSD-3-Clause 1
LGPL-3.0-only 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
segno 1.5.3 间接依赖 pip
sphinxcontrib-spelling 8.0.0 间接依赖 pip
delete_event 间接依赖 pip
jinja2 2.11.3 间接依赖 pip
types-pyyaml 6.0.12.12 间接依赖 pip
click 7.1.2 间接依赖 pip
angular 1.8.3 间接依赖 npm
Pallets-Sphinx-Themes 1.2.3 间接依赖 pip
jquery 3.7.1 直接依赖 npm
itsdangerous 1.1.0 间接依赖 pip
sphinxcontrib-applehelp 1.0.4 间接依赖 pip
pyasn1-modules 0.3.0 间接依赖 pip
protobuf 4.24.4 间接依赖 pip
flask-babel 2.0.0 间接依赖 pip
pyenchant 3.2.2 间接依赖 pip
angular-ui-router 1.0.30 直接依赖 npm
exceptiongroup 1.1.3 间接依赖 pip
alabaster 0.7.13 间接依赖 pip
gssapi 1.8.2 间接依赖 pip
defusedxml 0.7.1 间接依赖 pip
argon2-cffi 23.1.0 间接依赖 pip
pytest-cov 4.1.0 间接依赖 pip
responses 0.23.3 间接依赖 pip
pyjwt 2.8.0 间接依赖 pip
sphinxcontrib-jsmath 1.0.1 间接依赖 pip
flask-migrate 2.7.0 间接依赖 pip
pycparser 2.21 间接依赖 pip
@uirouter/core 6.0.8 间接依赖 npm
angular-gettext 2.4.2 直接依赖 npm
mako 1.2.4 间接依赖 pip
charset-normalizer 3.3.1 间接依赖 pip
configobj 5.0.8 间接依赖 pip
pyasn1 0.5.0 间接依赖 pip
pyyaml 6.0.1 间接依赖 pip
sqlalchemy 1.4.49 间接依赖 pip
async-timeout 4.0.3 间接依赖 pip
urllib3 2.0.7 间接依赖 pip
set_event 间接依赖 pip
flask 1.1.4 间接依赖 pip
sphinxcontrib-qthelp 1.0.3 间接依赖 pip
ng-file-upload 12.2.13 直接依赖 npm
isteven-angular-multiselect 4.0.0 直接依赖 npm
lxml 4.9.3 间接依赖 pip
sphinxcontrib-htmlhelp 2.0.1 间接依赖 pip
pyparsing 3.1.1 间接依赖 pip
certifi 2023.7.22 间接依赖 pip
pytz 2023.3.post1 间接依赖 pip
ldap3 2.8.1 间接依赖 pip
google-auth 2.23.3 间接依赖 pip
markupsafe 2.0.1 间接依赖 pip
bcrypt 4.0.1 间接依赖 pip
pydash 7.0.6 间接依赖 pip
PyKCS11 1.5.11 间接依赖 pip
python-dateutil 2.8.2 间接依赖 pip
iniconfig 2.0.0 间接依赖 pip
python-gnupg 0.5.1 间接依赖 pip
bootstrap 3.4.1 直接依赖 npm
sphinxcontrib-httpdomain 1.8.1 间接依赖 pip
packaging 23.2 间接依赖 pip
Sphinx 4.5.0 间接依赖 pip
werkzeug 1.0.1 间接依赖 pip
pyopenssl 24.0.0 间接依赖 pip
netaddr 0.9.0 间接依赖 pip
imagesize 1.4.1 间接依赖 pip
ng-idle 1.3.2 直接依赖 npm
testfixtures 7.2.2 间接依赖 pip
angular-inform 0.0.19 直接依赖 npm
pymysql 1.1.0 间接依赖 pip
croniter 2.0.1 间接依赖 pip
flask-sqlalchemy 2.5.1 间接依赖 pip
babel 2.13.1 间接依赖 pip
sphinxcontrib-devhelp 1.0.2 间接依赖 pip
grpcio 1.59.0 间接依赖 pip
flask-script 2.0.6 间接依赖 pip
privacyidea 间接依赖 pip
requests 2.31.0 间接依赖 pip
cryptography 42.0.4 间接依赖 pip
pytest 7.4.3 间接依赖 pip
tomli 2.0.1 间接依赖 pip
sphinxcontrib-serializinghtml 1.1.5 间接依赖 pip
angular-sanitize 1.8.3 直接依赖 npm
Pygments 2.15.0 间接依赖 pip
pyrad 2.4 间接依赖 pip
alembic 1.12.0 间接依赖 pip
docutils 0.17.1 间接依赖 pip
rsa 4.9 间接依赖 pip
cachetools 5.3.2 间接依赖 pip
argon2-cffi-bindings 21.2.0 间接依赖 pip
six 1.16.0 间接依赖 pip
angular-ui-bootstrap 2.5.6 直接依赖 npm
angular-hotkeys 1.7.0 直接依赖 npm
flask-versioned 0.9.4.post20101221 间接依赖 pip
snowballstemmer 2.2.0 间接依赖 pip
sphinxcontrib-plantuml 0.25 间接依赖 pip
idna 3.4 间接依赖 pip
greenlet 3.0.1 间接依赖 pip
mock 5.1.0 间接依赖 pip
smpplib 2.2.3 间接依赖 pip
redis 5.0.1 间接依赖 pip
(0)
上一篇 2024年2月28日
下一篇 2024年2月28日

相关推荐

  • DmitryMalkovich/material-design-dimens 软件分析报告

    基础信息 项目名称:DmitryMalkovich/material-design-dimens 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721137985344241664/172272550049109…

    软件分析 2023年11月10日
    0
  • ingridwarrior2901/TextViewAutoHeight-Swift 软件分析报告

    基础信息 项目名称:ingridwarrior2901/TextViewAutoHeight-Swift 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718817951762399232/17188179522…

    软件分析 2023年10月30日
    0
  • Frege/frege 软件分析报告

    基础信息 项目名称:Frege/frege 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717994649934413824/1717994650056048640 此报告由Murphysec提供 漏洞列表 暂…

    软件分析 2023年10月28日
    0
  • aws/jsii 软件分析报告

    基础信息 项目名称:aws/jsii 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720815209320726528/1720815209392029696 此报告由Murphysec提供 漏洞列表 漏洞名称…

    软件分析 2023年11月4日
    0
  • docopt/docopt 软件分析报告

    基础信息 项目名称:docopt/docopt 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717211404696158208/1717211404754878464 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年10月26日
    0